## calligra 2.8.5+dfsg

=== debian/changelog ===
calligra (1:2.8.5+dfsg-1) unstable; urgency=medium

  * New upstream release. (Closes: #744291, #748990)

  [ Adrien Grellier ]
  * new dependency for krita: libxi-dev
  * refresh add_keywords_to_desktop_files.patch to work with 2.8
  * refresh eigen3.patch to work with 2.8
  * new package: calligra-semanticitems
  * update to Standards-Version 3.9.5 (no changes)
  * update copyright information for beta3
  * patch to build using xbase64, thanks Matthias Klose! (Closes: #746227)
  * move html2ods.so from calligrawords to calligrasheets, thanks shadeslayer!
  * update copyright information for calligra 2.8.5

  [ Pino Toscano ]
  * Add the pkg-config build dependency.
  * Update lintian overrides.
  * Remove the uninstalled man page of visualimagecompare, since that tool
    is not installed either.
  * Update install files.

  [ Raúl Sánchez Siles ]
  * Add libodfgen-dev and libopencolorio-dev build dependencies.
  * Update install files.
  * Update sonames in lintian-overrides.
  * Add calligra-semanticitems depends.
  * Adding lintian-overrides for krita-sketch.
  * Enable kpresenter to odp filter.

  [ Maximiliano Curia ]
  * Remove obsolete patch: pqxx_4_support.diff
  * Update build dependencies.
  * Add autopkgtests.
  * Refresh patches
  * New patch: eigen3_in_tests
  * New patch: disable_convolution_failling_tests
  * New patch: temporarily_disable_failing_tests
  * Update copyright file.
  * Re-enable krita-sketch and krita-gemini.
  * New patch: calligra_imports_search_path
  * New patch: set_kritasketch_lib_soversion
  * New patch: install_images_in_datadir
  * Bump libkdcraw and marble b-d, to help the kde4.12 transition.
  * Refresh patches for 2.8.5.
  * New patch: kisjpegtest_call_kisexiv2_initialize
  * New patch: filter_registry_not_a_singleton
  * New patch: channelFlags_logic_change
  * New patch: do_not_install_removed_files
  * Update install files for the repack version.
  * Add hspell dependency to the tests.
  * Update debian/copyright generation instructions, added a static part
    in copyright.tail for the things missed by lcheck.

  [ Rene Engelhard ]
  * Add patch to build against the new librevenge-based import libs and update
    build-dependencies. (Closes: #754568)

 -- Maximiliano Curia <maxy@debian.org>  Mon, 11 Aug 2014 16:49:01 +0200

calligra (1:2.7.5-1) unstable; urgency=low

  * New upstream release.
    - A new component appears: calligraactive
    - New import filter for calligraplan, based on Java MPXJ.
      See /usr/share/doc/calligraplan/README.Debian for using it.

  [ Adrien Grellier ]
  * update install files for calligra 2.7.1
  * update copyright file for calligra 2.7.1
  * build with libkactivites, as the version 6.1 is now in sid
  * build with libphononexperimental
  * update to my new official email address
  * split kexi to kexi-data for arch-indep files
  * patch to add keywords to desktop files
  * update lintian overrides

  [ Pino Toscano ]
  * Update .install files.
  * Specify the required version for libkactivities-dev.
  * Update watch file to look for .xz extension too.

  [ Maximiliano Curia ]
  * Migrate from eigen2 to eigen3, thanks to Anton Gladky. (Closes: #726643)
  * Add pqxx 4 support. (Closes: #730632)
  * Refresh patches.
  * Add myself to uploaders.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 03 Dec 2013 18:45:27 +0100

calligra (1:2.6.4-1) unstable; urgency=low

  * New upstream release.
  * Team upload.

  [ Pino Toscano ]
  * Add calligraauthor to the calligra metapackage. (Closes: #710832)
  * Remove unused stuff of kthesaurus and calligramobile.
  * Remove koconverter man page, no such tool anymore.
  * Manually remove from debian/tmp all the things that are known to not be
    installed anywhere; this shortens the output of dh_install --list-missing.
  * Properly install the calligraconverter and kexi_sqlite3_dump man pages.
  * Add the nepomuk-core-dev build dependency, needed with KDE >= 4.9/4.10.
    (Closes: #717413) This effectively raises the minimum requirements to
    KDE 4.10.

  [ Adrien Grellier ]
  * Update installed files.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sat, 20 Jul 2013 13:59:37 -0300

=== debian/control ===
Source: calligra
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Adrien Grellier <perso@adrieng.fr>,
           Raúl Sánchez Siles <rasasi78@gmail.com>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8),
               debhelper (>= 9),
               default-jdk,
               freetds-dev,
               kdelibs5-dev (>= 4:4.4.0),
               kdepimlibs5-dev (>= 4:4.6.0),
               libattica-dev,
               libboost-dev,
               libeigen3-dev (>= 2.0~beta6),
               libexiv2-dev (>= 0.16),
               libfftw3-dev,
               libfontconfig1-dev,
               libfreetype6-dev,
               libglew-dev,
               libglib2.0-dev,
               libgsl0-dev,
               libicu-dev,
               libjpeg-dev,
               libkactivities-dev (>= 4:4.10),
               libkdcraw-dev (>= 4:4.12),
               liblcms2-dev (>= 2.4),
               libmarble-dev (>> 4:4.12),
               libmysqlclient-dev,
               libodfgen-dev (>= 0.1),
               libopencolorio-dev,
               libopenexr-dev,
               libopenjpeg-dev,
               libphononexperimental-dev,
               libpng-dev,
               libpoppler-private-dev,
               libpoppler-qt4-dev,
               libpq-dev,
               libpqxx-dev,
               libqca2-dev,
               libqt4-dev,
               libqt4-opengl-dev,
               libqtwebkit-dev,
               libspnav-dev,
               libsqlite3-dev (>= 3.6.16),
               libtiff-dev,
               libvisio-dev (>= 0.1),
               libwpd-dev (>= 0.10),
               libwpg-dev (>= 0.3),
               libwps-dev (>= 0.3),
               libxbase64-dev,
               libxi-dev,
               nepomuk-core-dev,
               okular-dev (>= 4:4.4.3),
               pkg-config,
               pkg-kde-tools (>= 0.9),
               pstoedit,
               shared-desktop-ontologies,
               shared-mime-info,
               zlib1g-dev
Standards-Version: 3.9.5
XS-Testsuite: autopkgtest
Homepage: http://www.calligra-suite.org/
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-std/calligra.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-std/calligra.git

Package: calligra
Architecture: all
Depends: braindump (>= ${source:Version}),
         calligraauthor (>= ${source:Version}),
         calligraflow (>= ${source:Version}),
         calligraplan (>= ${source:Version}),
         calligrasheets (>= ${source:Version}),
         calligrastage (>= ${source:Version}),
         calligrawords (>= ${source:Version}),
         karbon (>= ${source:Version}),
         kexi (>= ${source:Version}),
         krita (>= ${source:Version}),
         ${misc:Depends}
Recommends: calligra-semanticitems
Homepage: http://www.calligra-suite.org
Description: extensive productivity and creative suite
 Calligra Suite is a set of applications written to help you to accomplish
 your work. It includes office applications such as a word processor,
 a spreadsheet, a presentation program, a database application, etc., and
 raster and vector graphics tools.
 .
 This metapackage provides all the components of the Calligra Suite.

Package: karbon
Architecture: any
Section: graphics
Depends: calligra-libs (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Recommends: pstoedit
Breaks: calligra-data (<< 1:2.4.3-2), koffice-data (<< 1:2.4)
Replaces: calligra-data (<< 1:2.4.3-2), koffice-data (<< 1:2.4)
Homepage: http://www.calligra-suite.org/karbon/
Description: vector graphics application for the Calligra Suite
 Karbon is a vector drawing application with an user interface that is easy to
 use, highly customizable and extensible. That makes Karbon a great application
 for users starting to explore the world of vector graphics as well as for
 artists wanting to create breathtaking vector art. Features include:
 .
  * Loading support for ODG, SVG, WMF, WPG, EPS/PS
  * Writing support for ODG, SVG, WMF, PNG, PDF
  * Customizable user interface with freely placeable toolbars and dockers
  * Layer docker for easy handling of complex documents including preview
    thumbnails, support for grouping shapes via drag and drop,
    controlling visibility of shapes or locking
  * Advanced path editing tool with great on-canvas editing capabilities
  * Various drawing tools for creating path shapes including a draw path
    tool and a pencil tool, as well as a calligraphy drawing tool
  * Gradient and pattern tools for easy on-canvas editing of gradient and
    pattern styles
  * Top notch snapping facilities for guided drawing and editing (e.g.
    snapping to grid, guide lines, path nodes, bounding boxes, orthogonal
    positions, intersections of path shapes or extensions of lines and
    paths)
  * Many predefined basic shapes included, such as circle/ellipse, star or
    rectangle
  * Artistic text shape with support for following path outlines
    (i.e. text on path)
  * Complex path operations and effects like Boolean set operations,
    path flattening, rounding and refining as well as whirl/pinch effects
  * Extensible by writing plugins for new tools, shapes and dockers
 .
 This package is part of the Calligra Suite.

Package: kexi
Architecture: any
Section: database
Depends: calligra-libs (= ${binary:Version}),
         kexi-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: kexi-calligrasheets-driver,
          kexi-mysql-driver,
          kexi-postgresql-driver,
          kexi-sybase-driver,
          kexi-xbase-driver
Replaces: koffice-doc-html
Conflicts: koffice-doc-html
Homepage: http://www.calligra-suite.org/kexi/
Description: integrated database environment for the Calligra Suite
 Kexi is an integrated data management application. It can be used for
 creating database schemas, inserting data, performing queries, and
 processing data. Forms can be created to provide a custom interface to
 your data. All database objects - tables, queries and forms - are stored
 in the database, making it easy to share data and design.
 .
 Kexi is considered as a long awaited Open Source competitor for MS Access,
 Filemaker and Oracle Forms. Its development is motivated by the lack of
 Rapid Application Development (RAD) tools for database systems that are
 sufficiently powerful, inexpensive, open standards driven and portable
 across many operating systems and hardware platforms.
 .
 This package is part of the Calligra Suite.

Package: kexi-data
Architecture: all
Depends: ${misc:Depends}
Breaks: kexi (<< 1:2.7.1)
Replaces: kexi (<< 1:2.7.1)
Description: data files for Kexi
 This package contains architecture-independent data files for Kexi, the
 database program shipped with the Calligra Suite.
 .
 See the kexi package for further information.
 .
 This package is part of the Calligra Suite.

Package: kexi-calligrasheets-driver
Architecture: any
Depends: calligrasheets (= ${binary:Version}),
         kexi (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Tables plugin for kexi
 Kexi is an integrated data management application. It can be used for
 creating database schemas, inserting data, performing queries, and
 processing data. Forms can be created to provide a custom interface to
 your data. All database objects - tables, queries and forms - are stored
 in the database, making it easy to share data and design.
 .
 This package provides support for Calligra Tables in Kexi.
 .
 This package is part of the Calligra Suite.

Package: kexi-mysql-driver
Architecture: any
Section: database
Depends: kexi (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Breaks: kexi (<< 1:2.3.70)
Replaces: kexi (<< 1:2.3.70)
Description: MySQL support for kexi
 Kexi is an integrated data management application. It can be used for
 creating database schemas, inserting data, performing queries, and
 processing data. Forms can be created to provide a custom interface to
 your data. All database objects - tables, queries and forms - are stored
 in the database, making it easy to share data and design.
 .
 This package provides support for MySQL in Kexi.
 .
 This package is part of the Calligra Suite.

Package: kexi-postgresql-driver
Architecture: any
Section: database
Depends: kexi (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Breaks: kexi (<< 1:2.3.70)
Replaces: kexi (<< 1:2.3.70)
Description: PostgreSQL support for kexi
 Kexi is an integrated data management application. It can be used for
 creating database schemas, inserting data, performing queries, and
 processing data. Forms can be created to provide a custom interface to
 your data. All database objects - tables, queries and forms - are stored
 in the database, making it easy to share data and design.
 .
 This package provides support for PostgreSQL in Kexi.
 .
 This package is part of the Calligra Suite.

Package: kexi-xbase-driver
Architecture: any
Section: database
Depends: kexi (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Breaks: kexi (<< 1:2.3.70)
Replaces: kexi (<< 1:2.3.70)
Description: XBase support for kexi
 Kexi is an integrated data management application. It can be used for
 creating database schemas, inserting data, performing queries, and
 processing data. Forms can be created to provide a custom interface to
 your data. All database objects - tables, queries and forms - are stored
 in the database, making it easy to share data and design.
 .
 This package provides support for XBase in Kexi.
 .
 This package is part of the Calligra Suite.

Package: kexi-sybase-driver
Architecture: any
Section: database
Depends: kexi (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Breaks: kexi (<< 1:2.3.70)
Replaces: kexi (<< 1:2.3.70)
Description: Sybase support for kexi
 Kexi is an integrated data management application. It can be used for
 creating database schemas, inserting data, performing queries, and
 processing data. Forms can be created to provide a custom interface to
 your data. All database objects - tables, queries and forms - are stored
 in the database, making it easy to share data and design.
 .
 This package provides support for Sybase in Kexi.
 .
 This package is part of the Calligra Suite.

Package: kexi-web-form-widget
Architecture: any
Section: database
Depends: kexi (>= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
Breaks: kexi (<< 1:2.3.70)
Replaces: kexi (<< 1:2.3.70)
Description: web form widget for Kexi
 Kexi is an integrated data management application. It can be used for
 creating database schemas, inserting data, performing queries, and
 processing data. Forms can be created to provide a custom interface to
 your data. All database objects - tables, queries and forms - are stored
 in the database, making it easy to share data and design.
 .
 This package provides a web widget for Kexi using QtWebKit.
 .
 This package is part of the Calligra Suite.

Package: kexi-map-form-widget
Architecture: any
Section: database
Depends: kexi (>= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
Breaks: kexi (<< 1:2.3.70)
Replaces: kexi (<< 1:2.3.70)
Description: map form widget for Kexi
 Kexi is an integrated data management application. It can be used for
 creating database schemas, inserting data, performing queries, and
 processing data. Forms can be created to provide a custom interface to
 your data. All database objects - tables, queries and forms - are stored
 in the database, making it easy to share data and design.
 .
 This package provides a map widget for Kexi using the Marble library.
 .
 This package is part of the Calligra Suite.

Package: calligra-reports-web-element
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: web element for Calligra Reports
 Calligra Suite is a set of applications written to help you to accomplish

=== debian/rules ===
#!/usr/bin/make -f

lib_pkgs := calligra-libs

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@ --parallel --with kde --with sodeps

override_dh_auto_configure:
	dh_auto_configure -Skde -- -DKDE4_BUILD_TESTS=OFF

override_dh_auto_install:
	dh_auto_install
	# Remove symlinks of private libraries
	find debian/tmp/usr/lib -maxdepth 1 -name '*private*.so' -type l -delete
	rm -f debian/tmp/usr/lib/librcps_plan.so
	# image/openraster is provided by shared-mime-info >= 0.70
	# (and squeeze has 0.71)
	rm -f debian/tmp/usr/share/mime/packages/krita_ora.xml
ifeq (,$(filter %-dev, $(shell dh_listpackages)))
	# No -dev stuff, so remove their content to shorten the output
	# of dh_install --list-missing
	rm -rf debian/tmp/usr/include
	rm -rf debian/tmp/usr/share/kde4/apps/cmake
	find debian/tmp/usr/lib -maxdepth 1 -name '*.so' -type l -delete
endif

override_dh_install:
	dh_install --list-missing

override_dh_link:
	dh_link -pkrita-sketch /usr/share/kde4/apps/kritasketch/images \
	    usr/lib/$(DEB_HOST_MULTIARCH)/calligra/imports/org/krita/sketch/images
	dh_link --remaining-packages

override_dh_strip:
	dh_strip --dbg-package=calligra-dbg

override_dh_shlibdeps:
	dh_shlibdeps $(addprefix -p,$(lib_pkgs)) -- -xkde-runtime -xkdepim-runtime
	dh_shlibdeps --remaining-packages

.PHONY: override_dh_auto_test

prune-nonfree:
	# minimized extjs, not installed, nor used
	rm -f kexi/webforms/webroot/extjs/ext-all.js
	rm -f kexi/webforms/webroot/extjs/extjs/adapter/ext/ext-base.js
	# copyright Sun Microsystems, 1996 unknown license
	# Help needed to clarify the license.
	rm -f plugins/colorengines/lcms2/colorprofiles/data/CMY.icm
	# Claims itself as public domain, but included in non-free package
	# icc-profiles.
	# Help needed to clarify the license.
	rm -f plugins/colorengines/lcms2/colorprofiles/data/fogra27l.icm

=== debian/tests/control ===
Tests: testsuite
Depends: @, @builddeps@, build-essential,
         xvfb, xauth, dbus-x11, hspell
Restrictions: rw-build-tree

=== debian/watch ===
version=3

ftp://ftp.kde.org/pub/kde/stable/calligra-([\d\.]+)/calligra-([\d\.]+)\.tar\.(?:bz2|xz)

## calligra 2.8.6

=== plugins/reporting/web/CMakeLists.txt ===
include_directories(
    ${KOPROPERTY_INCLUDES}
    ${KOREPORT_INCLUDES}
)

#build a shared library
set(koreport_webplugin_LIB_SRCS
    KoReportDesignerItemWeb.cpp
    KoReportItemWeb.cpp
    KoReportWebPlugin.cpp
)

kde4_add_plugin(koreport_webplugin ${koreport_webplugin_LIB_SRCS})

set (QT_USE_QTWEBKIT TRUE)

target_link_libraries(koreport_webplugin
    ${KDE4_KDECORE_LIBS}
    ${KOREPORT_LIBS}
    ${KOPROPERTY_LIBS}
    ${KDE4_KDECORE_LIBS}
    ${KDE4_KDEUI_LIBS}
    ${QT_QTCORE_LIBRARY}
    ${QT_QTGUI_LIBRARY}
    ${QT_QTWEBKIT_LIBRARY}
    ${QT_QTXML_LIBRARY}
)

########### install files ###############

install(TARGETS koreport_webplugin  DESTINATION ${PLUGIN_INSTALL_DIR})
install( FILES  koreport_webplugin.desktop  DESTINATION ${SERVICES_INSTALL_DIR}/calligra)
kde4_install_icons(${DATA_INSTALL_DIR}/calligra/icons)

=== libs/db/drivers/sqlite/icu/CMakeLists.txt ===
add_library(kexidb_sqlite3_icu SHARED icu.c)

include_directories(${ICU_INCLUDE_DIRS})

target_link_libraries(kexidb_sqlite3_icu
                      ${SQLITE_LIBRARIES}
                      ${ICU_LIBRARIES}
                      ${ICU_I18N_LIBRARIES}
)
set_target_properties(kexidb_sqlite3_icu PROPERTIES PREFIX "" DEFINE_SYMBOL libsqlite3_EXPORTS)

install(TARGETS kexidb_sqlite3_icu DESTINATION ${PLUGIN_INSTALL_DIR})

=== debian/changelog ===
calligra (1:2.8.6-0ubuntu1) utopic; urgency=medium

  * New upstream release
  * Fixed xbase.diff to remove fuzz. Added Dep 3 header.
  * Fix upstream_switch-to-librevenge-based-import-libs.patch to remove fuzz.
  * wrap-and-sort

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 22 Sep 2014 09:13:20 -0700

=== debian/control ===
--- 
+++ 
@@ -1,35 +1,36 @@
 Source: calligra
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Adrien Grellier <perso@adrieng.fr>,
-           Raúl Sánchez Siles <rasasi78@gmail.com>,
-           Maximiliano Curia <maxy@debian.org>
-Build-Depends: cmake (>= 2.8),
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Adrien Grellier <adrien.grellier@laposte.net>,
+           Raúl Sánchez Siles <rasasi78@gmail.com>
+Build-Depends:cauchy-dev,
+               cmake (>= 2.6.2),
                debhelper (>= 9),
-               default-jdk,
                freetds-dev,
                kdelibs5-dev (>= 4:4.4.0),
-               kdepimlibs5-dev (>= 4:4.6.0),
+               kdepimlibs5-dev (>= 4:4.4.3),
                libattica-dev,
                libboost-dev,
-               libeigen3-dev (>= 2.0~beta6),
-               libexiv2-dev (>= 0.16),
+               libeigen2-dev (>= 2.0~beta6),
+               libetonyek-dev,
+               libexiv2-dev,
                libfftw3-dev,
                libfontconfig1-dev,
                libfreetype6-dev,
-               libglew-dev,
+               libglew-dev [!armel !armhf !arm64],
                libglib2.0-dev,
                libgsl0-dev,
                libicu-dev,
                libjpeg-dev,
-               libkactivities-dev (>= 4:4.10),
-               libkdcraw-dev (>= 4:4.12),
-               liblcms2-dev (>= 2.4),
-               libmarble-dev (>> 4:4.12),
+               libkactivities-dev,
+               libkdcraw-dev (>= 4:4.4.3),
+               liblcms2-dev,
+               libmarble-dev (>> 4:4.8),
                libmysqlclient-dev,
-               libodfgen-dev (>= 0.1),
-               libopencolorio-dev,
+               libodfgen-dev,
+               libopencolorio-dev [!armhf],
                libopenexr-dev,
                libopenjpeg-dev,
                libphononexperimental-dev,
@@ -37,33 +38,34 @@
                libpoppler-private-dev,
                libpoppler-qt4-dev,
                libpq-dev,
-               libpqxx-dev,
+               libpqxx3-dev,
                libqca2-dev,
                libqt4-dev,
                libqt4-opengl-dev,
                libqtwebkit-dev,
+               libsoprano-dev,
                libspnav-dev,
-               libsqlite3-dev (>= 3.6.16),
+               libsqlite3-dev,
                libtiff-dev,
-               libvisio-dev (>= 0.1),
-               libwpd-dev (>= 0.10),
-               libwpg-dev (>= 0.3),
-               libwps-dev (>= 0.3),
+               libvisio-dev,
+               libwpd-dev (>= 0.9.1),
+               libwpg-dev (>= 0.2.0),
+               libwps-dev,
                libxbase64-dev,
                libxi-dev,
-               nepomuk-core-dev,
-               okular-dev (>= 4:4.4.3),
-               pkg-config,
+               okular-dev (>= 4:4.12.90),
                pkg-kde-tools (>= 0.9),
                pstoedit,
                shared-desktop-ontologies,
                shared-mime-info,
+               vc-dev [!powerpc !armhf !arm64 !ppc64el],
                zlib1g-dev
-Standards-Version: 3.9.5
-XS-Testsuite: autopkgtest
+Standards-Version: 3.9.4
 Homepage: http://www.calligra-suite.org/
-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-std/calligra.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-std/calligra.git
+Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/calligra
+Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/calligra
+X-Debian-Vcs-Git: git://git.debian.org/pkg-kde/kde-std/calligra.git
+X-Debian-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-std/calligra.git
 
 Package: calligra
 Architecture: all
@@ -78,7 +80,6 @@
          kexi (>= ${source:Version}),
          krita (>= ${source:Version}),
          ${misc:Depends}
-Recommends: calligra-semanticitems
 Homepage: http://www.calligra-suite.org
 Description: extensive productivity and creative suite
  Calligra Suite is a set of applications written to help you to accomplish
@@ -91,10 +92,12 @@
 Package: karbon
 Architecture: any
 Section: graphics
-Depends: calligra-libs (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends: calligra-libs (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
 Recommends: pstoedit
-Breaks: calligra-data (<< 1:2.4.3-2), koffice-data (<< 1:2.4)
-Replaces: calligra-data (<< 1:2.4.3-2), koffice-data (<< 1:2.4)
+Breaks: calligra-data (<< 1:2.6.4-0ubuntu1), koffice-data (<< 1:2.4)
+Replaces: calligra-data (<< 1:2.6.4-0ubuntu1), koffice-data (<< 1:2.4)
 Homepage: http://www.calligra-suite.org/karbon/
 Description: vector graphics application for the Calligra Suite
  Karbon is a vector drawing application with an user interface that is easy to
@@ -131,7 +134,6 @@
 Architecture: any
 Section: database
 Depends: calligra-libs (= ${binary:Version}),
-         kexi-data (>= ${source:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
 Suggests: kexi-calligrasheets-driver,
@@ -157,19 +159,6 @@
  .
  This package is part of the Calligra Suite.
 
-Package: kexi-data
-Architecture: all
-Depends: ${misc:Depends}
-Breaks: kexi (<< 1:2.7.1)
-Replaces: kexi (<< 1:2.7.1)
-Description: data files for Kexi
- This package contains architecture-independent data files for Kexi, the
- database program shipped with the Calligra Suite.
- .
- See the kexi package for further information.
- .
- This package is part of the Calligra Suite.
-
 Package: kexi-calligrasheets-driver
 Architecture: any
 Depends: calligrasheets (= ${binary:Version}),
@@ -294,3 +283,7 @@
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: web element for Calligra Reports
  Calligra Suite is a set of applications written to help you to accomplish
+ your work. It includes office applications such as a word processor,
+ a spreadsheet, a presentation program, a database application, etc., and
+ raster and vector graphics tools.
+ .

=== debian/rules ===
#!/usr/bin/make -f

lib_pkgs := calligra-libs

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

%:
	dh $@ --parallel --with kde --with sodeps

override_dh_auto_configure:
	dh_auto_configure -Skde -- -DKDE4_BUILD_TESTS=OFF -DPRODUCTSET=ALL

override_dh_install:
	dh_movelibkdeinit
	dh_install --list-missing
	#lut and open gl are !arm, this needs made more eloquent
ifeq ($(DEB_HOST_ARCH),i386)
	dh_install --autodest -pkrita usr/lib/kde4/kritalutdocker.so
	dh_install --autodest -pkrita usr/share/kde4/services/krita_lutdocker.desktop
endif
ifeq ($(DEB_HOST_ARCH),amd64)
	dh_install --autodest -pkrita usr/lib/kde4/kritalutdocker.so
	dh_install --autodest -pkrita usr/share/kde4/services/krita_lutdocker.desktop
endif

override_dh_strip:
	dh_strip --dbg-package=calligra-dbg

override_dh_shlibdeps:
	dh_shlibdeps $(addprefix -p,$(lib_pkgs)) -- -xkde-runtime -xkdepim-runtime
	dh_shlibdeps --remaining-packages

.PHONY: override_dh_auto_test
